// brushstroke styles
$frame-count1: 19;
$offset-val1: 300;
$frame-count2: 20;
$offset-val2: 300;  
$frame-count3: 20;
$offset-val3: 300;   
$frame-count4: 29;
$offset-val4: 300;
$frame-count5: 20;
$offset-val5: 504;  
$frame-count6: 29;
$offset-val6: 300;

.brushstroke1 {
    width: 100%;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    background-image: url("/assets/images/brush01-sprite.png");
    background-repeat: no-repeat;
    background-position: 0 50%;

    @for $i from 1 through $frame-count1 {
        .brushstroke.frame#{$i} {
            background-position: -(($i * $offset-val1) * 2) + px 50%;
        }
    }

    // CSS ONLY EXAMPLE
    @keyframes brushmask1 {
         to{
            background-position: -11400px 50%;
        }
    }

    &-wrap {
        position:absolute;
        z-index: 0;
        width: 600px;
        height: 500px;

        &.brushed {
            .brushstroke1 {
                animation: brushmask1 1.1s steps($frame-count1) normal forwards;
            }
        }
    }
}

.brushstroke2 {
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    background-image: url("/assets/images/brush02-sprite.png");
    background-repeat: no-repeat;
    background-position: 0 50%;
    // @for $i from 1 through $frame-count2 {
    //     .brushstroke.frame#{$i} {
    //         background-position: -(($i * $offset-val2) * 2) + px 50%;
    //     }
    // }

    // CSS ONLY EXAMPLE
    @keyframes brushmask {
        to{
            background-position: -12000px 50%;
        }
    }

    &-wrap {
        position:absolute;
        z-index: 0;
        width: 600px;
        height: 300px;

        &.brushed {
            .brushstroke2 {
                animation: brushmask 1.3s steps($frame-count2) normal forwards;
            }
        }
    } 
}

.brushstroke3 {
    width: 100%;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    background-image: url("/assets/images/brush03-sprite.png");
    background-repeat: no-repeat;
    background-position: 0 50%;

    // @for $i from 1 through $frame-count3 {
    //     .brushstroke.frame#{$i} {
    //         background-position: -(($i * $offset-val3) * 2) + px 50%;
    //     }
    // }

    // CSS ONLY EXAMPLE
    @keyframes brushmask3 {
         to{
            background-position: -12000px 50%;
        }
    }

    &-wrap {
        position:absolute;
        z-index: 0;
        width: 600px;
        height: 195px;

        &.brushed {
            .brushstroke3 {
                animation: brushmask3 0.8s steps($frame-count3) normal forwards;
            }
        }

        &.removed {
            .brushstroke3 {
                animation: brushmask3 1.1s steps($frame-count3) normal forwards;
            }
        }
    }
}

.brushstroke4 {
    width: 100%;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    background-image: url("/assets/images/brush04-sprite.png");
    background-repeat: no-repeat;
    background-position: 0 50%;

    // @for $i from 1 through $frame-count4 {
    //     .brushstroke.frame#{$i} {
    //         background-position: -(($i * $offset-val4) * 2) + px 50%;
    //     }
    // }

    &-wrap {
        position:absolute;
        z-index: 0;
        width: 600px;
        height: 502px;

        &.brushed {
            .brushstroke4 {
                animation: brushmask4 1.1s steps($frame-count4) normal forwards;
            }
        }
    }

    // CSS ONLY EXAMPLE
    @keyframes brushmask4 {
        to{
            background-position: -17400px 50%;
        }
    }
}

.brushstroke5 {
    width: 100%;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    background-image: url("/assets/images/brush05-sprite.png");
    background-repeat: no-repeat;
    background-position: 0 50%;

    @keyframes brushmask5 {
         to{
            background-position: -20150px 50%;
        }
    }

    &-wrap {
        position:absolute;
        z-index: 0;
        width: 1008px;
        height: 650px;

        &.brushed {
            .brushstroke5 {
                animation: brushmask5 1.1s steps($frame-count5) normal forwards;
            }
        }
    }
}

.brushstroke6 {
    width: 100%;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    background-image: url("/assets/images/brush06-sprite.png");
    background-repeat: no-repeat;
    background-position: 0 50%;

    @keyframes brushmask6 {
         to{
            background-position: -17400px 50%;
        }
    }

    &-wrap {
        position:absolute;
        z-index: 0;
        width: 600px;
        height: 502px;

        &.brushed {
            .brushstroke6 {
                animation: brushmask6 1.1s steps($frame-count6) normal forwards;
            }
        }
    }
}

.brushstroke-bg {
    position: absolute;
    width: 100%;
    height: auto;
    // overflow-x: hidden;
    // top: 0;
    &__item {
        height: 100%;
        padding: 0 0 100vh;
        position: relative;
        z-index: 0;

        &:last-child {
            padding: 0;
        }
    }

    .brushstroke2-wrap {
        top:0;
        right: 0;
        position: relative;
        margin: 0 0 0 auto;
        transform: translate(30%, -40%);
    }

    .brushstroke4-wrap {
        top:0;
        left: 0;
        position: relative;
        transform: translate(-30%, 0%);
    }

    .brushstroke5-wrap {
        top:0;
        right: 0;
        position: relative;
        margin: 0 0 0 auto;
        transform:translate(30%, -10%) rotate(30deg) scaleX(-1);
    }
    &formpage {
        top:0;
        overflow-x: hidden;
        .brushstroke6-wrap {
            right: 0;
            top: 0;
            transform: translate(-2%, -32%) rotate(-39deg) scaleX(-1);
        }
        .brushstroke5-wrap {
            right: initial;
            left: 0;
            top: 0;
            margin: 0;
            transform: translate(-30%, -70%) rotate(10deg);
        }
    }

    &top {
        overflow: hidden;
        height: 100%;
        top: 0;

        .brushstroke2-wrap {
            transform: translate(30%, 20%);
        }
    }
}


@media only screen and (max-width: $bpTablet - 1) {
    .brushstroke-bg {

        &top {
            .brushstroke2-wrap {
                transform: translate(46%, 60%);
            }
        }

        .brushstroke4-wrap {
            transform: translate(-30%, 30%);
        }

        .brushstroke5-wrap {
            transform: translate(30%, 0%) rotate(30deg) scaleX(-1);
        }

        &formpage {
            .brushstroke6-wrap {
                transform: translate(22%, 38%) rotate(-39deg) scaleX(-1);
            }

            .brushstroke5-wrap {
                transform: translate(-30%, 50%) rotate(10deg);
            }
        }
    }
    .brushstroke1 {
        background-image: url("/assets/images/brush01-sprite-xs.png");

        @keyframes brushmask1 {
            to{
               background-position: -4560px 50%;
           }
        }

        &-wrap {
            width: 240px;
            height: 200px;
            &.brushed {
                .brushstroke1 {
                    animation: brushmask1 1.1s steps($frame-count1) normal forwards;
                }
            }
        }
    }

    .brushstroke2 {
        background-image: url("/assets/images/brush02-sprite-xs.png");

        @keyframes brushmask2 {
            to{
               background-position: -6000px 50%;
           }
        }

        &-wrap {
            width: 300px;
            height: 150px;
            &.brushed {
                .brushstroke2 {
                    animation: brushmask2 1.1s steps($frame-count2) normal forwards;
                }
            }
        }
    }

    .brushstroke3 {
        background-image: url("/assets/images/brush03-sprite-xs.png");

        @keyframes brushmask3 {
            to{
               background-position: -6154px 50%;
           }
        }

        &-wrap {
            width: 308px;
            height: 100px;
            &.brushed {
                .brushstroke3 {
                    animation: brushmask3 1.1s steps($frame-count3) normal forwards;
                }
            }
        }
    }

    .brushstroke4 {
        background-image: url("/assets/images/brush04-sprite-xs.png");

        @keyframes brushmask4 {
            to{
               background-position: -8326px 50%;
           }
        }

        &-wrap {
            width: 280px;
            height: 234px;
            &.brushed {
                .brushstroke4 {
                    animation: brushmask4 1.1s steps($frame-count4) normal forwards;
                }
            }
        }
    }

    .brushstroke5 {
        background-image: url("/assets/images/brush05-sprite-xs.png");

        @keyframes brushmask5 {
            to{
               background-position: -7750px 50%;
           }
        }

        &-wrap {
            width: 388px;
            height: 250px;
            &.brushed {
                .brushstroke5 {
                    animation: brushmask5 1.1s steps($frame-count5) normal forwards;
                }
            }
        }
    }

    .brushstroke6 {
        background-image: url("/assets/images/brush06-sprite-xs.png");

        @keyframes brushmask6 {
            to{
               background-position: -6932px 50%;
           }
        }

        &-wrap {
            width: 239px;
            height: 200px;
            &.brushed {
                .brushstroke6 {
                    animation: brushmask6 1.1s steps($frame-count6) normal forwards;
                }
            }
        }
    }

    
}